Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157297 - Change the stack size of ORBit's IO thread from 10M to 256k
Summary: Change the stack size of ORBit's IO thread from 10M to 256k
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ORBit2
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-05-10 11:04 UTC by Mark McLoughlin
Modified: 2013-03-06 03:43 UTC (History)
1 user (show)

Fixed In Version: ORBit2-2.12.1-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-10 15:56:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 303649 None None None Never

Description Mark McLoughlin 2005-05-10 11:04:36 UTC
See:

  http://bugzilla.gnome.org/show_bug.cgi?id=303649

for more details. We should get this in FC4, I reckon.

Comment 1 David Zeuthen 2005-05-10 14:36:17 UTC
My understanding is that the savings are only VSS, not real physical memory so I
like to understand what the real gain is before adding a patch that we need to
carry around for the life time of FC4.

Comment 2 Mark McLoughlin 2005-05-10 15:56:11 UTC
* Tue May 10 2005 Mark McLoughlin <markmc@redhat.com> 2.12.1-3
- Add patch to set the size of the IO thread stack to 256k in
  order to mitigate the apparent 10M jump in GNOME processes
  memory usage (#157297)



Note You need to log in before you can comment on or make changes to this bug.